diff --git a/src/include/utils/sortsupport.h b/src/include/utils/sortsupport.h
index 45b292e9c7..0884352d43 100644
--- a/src/include/utils/sortsupport.h
+++ b/src/include/utils/sortsupport.h
@@ -184,9 +184,9 @@ typedef struct SortSupportData
 	/*
 	 * Full, authoritative comparator for key that an abbreviated
 	 * representation was generated for, used when an abbreviated comparison
-	 * was inconclusive (by calling ApplySortComparatorFull()), or used to
+	 * was inconclusive (by calling ApplySortAbbrevFullComparator()), or used
 	 * replace "comparator" when core system ultimately decides against
-	 * abbreviation.
+	 * to abbreviation.
 	 */
 	int			(*abbrev_full_comparator) (Datum x, Datum y, SortSupport ssup);
 } SortSupportData;
